Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 93)
@@ -1560,8 +1562,9 @@
             // 
             // Column11
             // 
-            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column11.DefaultCellStyle = dataGridViewCellStyle21;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column11.DefaultCellStyle = dataGridViewCellStyle10;
+            this.Column11.Frozen = true;
             this.Column11.HeaderText = "単　価";
             this.Column11.Name = "Column11";
             this.Column11.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1570,8 +1573,9 @@
             // 
             // Column12
             // 
-            dataGridViewCellStyle22.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column12.DefaultCellStyle = dataGridViewCellStyle22;
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column12.DefaultCellStyle = dataGridViewCellStyle11;
+            this.Column12.Frozen = true;
             this.Column12.HeaderText = "金　額";
             this.Column12.Name = "Column12";
             this.Column12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1612,7 +1616,6 @@
             this.tabPage1.ResumeLayout(false);
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
-            this.TabCollections.ResumeLayout(false);
             this.groupBox3.ResumeLayout(false);
             this.groupBox3.PerformLayout();
             this.groupBox2.ResumeLayout(false);
@@ -1624,6 +1627,7 @@
             this.groupBox1.ResumeLayout(false);
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
+            this.TabCollections.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
@@ -1724,6 +1728,15 @@
         private System.Windows.Forms.Label label15;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn12;
+        private CustomControls.GroupBoxEx groupBox5;
+        private System.Windows.Forms.TextBox textBox3;
+        private System.Windows.Forms.Label label20;
+        private System.Windows.Forms.Label label19;
+        private System.Windows.Forms.Label label22;
+        private System.Windows.Forms.ComboBox comboBox1;
+        private System.Windows.Forms.ComboBox comboBox2;
+        private System.Windows.Forms.Button btnPageDelete;
+        private System.Windows.Forms.Button btnChangeCompany;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
@@ -1734,14 +1747,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
-        private CustomControls.GroupBoxEx groupBox5;
-        private System.Windows.Forms.TextBox textBox3;
-        private System.Windows.Forms.Label label20;
-        private System.Windows.Forms.Label label19;
-        private System.Windows.Forms.Label label22;
-        private System.Windows.Forms.ComboBox comboBox1;
-        private System.Windows.Forms.ComboBox comboBox2;
-        private System.Windows.Forms.Button btnPageDelete;
-        private System.Windows.Forms.Button btnChangeCompany;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 93)
@@ -438,6 +438,7 @@
 
                 int SourceCode = 0;
                 int CompanyCode = 0;
+                int LineNo = 0;
                 int brkSourceCode = 0;
                 bool bFirstCode = true;
                 bool bFirstCompany = true;
@@ -445,6 +446,7 @@
                 {
                     SourceCode = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.SourceCode]);
                     CompanyCode = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.CompanyCode]);
+                    LineNo = CommonMotions.cnvInt(CurRec[(int)FrmOrderEntryList.ReadDBColumn.LedgerLine]);
                     // 工事番号のセット
                     if (brkSourceCode != SourceCode)
                     {
@@ -466,7 +468,7 @@
                     // 会社番号のセット
                     if (!bFirstCompany) strSQL += " OR";
 
-                    strSQL += string.Format(" COMPANYCODE = {0}", CompanyCode);
+                    strSQL += string.Format(" (COMPANYCODE = {0} AND LINECOUNT = {1})", CompanyCode, LineNo);
                     
                     bFirstCompany = false;
                 }
@@ -486,18 +488,16 @@
         /// <returns></returns>
         private bool CreateNewOrderData()
         {
-            //IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             try
             {
-                //if (m_DetailList.Count == 0) return false;
+                if (m_DetailList.Count == 0) return false;
 
                 // 対象データSQL作成
                 string strSQL = string.Empty;
                 CreateNewDataSQL(ref strSQL);
                 // 工事詳細台帳データ読込
-                //List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
                 List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
                 if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
@@ -510,9 +510,7 @@
                 bool binit = true;
                 int Break_CompanyCode = 0;
                 double Break_Total = 0;
-                //List<ConstructionBudgetDetail> SumBuffer = new List<ConstructionBudgetDetail>();
                 List<ConstructionLedgerDetail> SumBuffer = new List<ConstructionLedgerDetail>();
-                //foreach (ConstructionBudgetDetail DetailRec in DetailList)
                 foreach (ConstructionLedgerDetail DetailRec in DetailList)
                 {
                     // 1件目はバッファへセットして処理しない
@@ -606,7 +604,6 @@
         /// </summary>
         /// <param name="inputpage"></param>
         /// <param name="DetailRec"></param>
-        //private bool SetConstructionBudget(PurchaseOrderInputPage inputpage, List<ConstructionBudgetDetail> DetailList, int PageCount)
         private bool SetConstructionBudget(PurchaseOrderInputPage inputpage, List<ConstructionLedgerDetail> DetailList, int PageCount)
         {
             try
@@ -893,6 +890,7 @@
                     GetRow.Cells[(int)DispDetailGridColumn.UnitPrice].Value = DetailRec.UnitPrice.ToString("#,#");	            // 単価
                     GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value = DetailRec.OrdersLinePrice.ToString("#,0");       // 金額
                     GetRow.Cells[(int)DispDetailGridColumn.SourceCode].Value = DetailRec.SourceCode;                            // 元工事番号
+                    GetRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value = DetailRec.SourceLineCnt;                         // 元台帳行番号
 
                     // 金額集計
                     PriceValueValue += DetailRec.OrdersLinePrice;
@@ -941,6 +939,7 @@
                 string strSQL = "SELECT COMPANYCODE, SUM(EXECUTIONAMOUNT) FROM CONSTRUCTIONLEDGERDETAIL";
                 strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL += string.Format(" AND PURCHASEORDERFLG = {0}", (int)CommonDefine.PurchaseOrderFlg.Making);
                 strSQL += " GROUP BY COMPANYCODE ORDER BY COMPANYCODE";
                 ArrayList arList = new ArrayList();
                 LedgerDDB.ExecuteReader(strSQL, ref arList);
@@ -1544,7 +1543,9 @@
                     DataGridViewRow GetRow = DataTab.Group1DataGridView.Rows[i];
                     // 文字が設定されていない場合は無効行
                     if (CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.FirstName].Value).Length == 0 &&
-                        CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.SecondName].Value).Length == 0) continue;
+                        CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.SecondName].Value).Length == 0 &&
+                        CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.Quantity].Value) == 0 &&
+                        CommonMotions.cnvDouble(GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value) == 0) continue;
 
                     PurchaseOrderDetail DatailRec = new PurchaseOrderDetail();
                     DatailRec.ConstructionCode = m_ConstructionCode;	                                                            // 工事番号
@@ -1560,6 +1561,7 @@
                     DatailRec.UnitPrice = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.UnitPrice].Value);	        // 単価
                     DatailRec.OrdersLinePrice = CommonMotions.cnvDouble(GetRow.Cells[(int)DispDetailGridColumn.PriceValue].Value);  // 金額
                     DatailRec.SourceCode = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.SourceCode].Value);          // 元工事番号
+                    DatailRec.SourceLineCnt = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value);       // 元台帳行番号
 
                     // データ書込み
                     if (!DetailDB.InsertAction(DatailRec, false)) return false;
@@ -1677,7 +1679,7 @@
                     strSQL += string.Format(" AND COMPANYCODE = {0}", DataTab.OrderCompanyCode);
                     //strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
                     if (LedgerLine != 0) strSQL += string.Format(" AND LINECOUNT = {0}", LedgerLine);
-                    if (!LDetailDB.UpdateFeild(strSQL, TargetField, 1, false))
+                    if (!LDetailDB.UpdateFeild(strSQL, TargetField, (int)CommonDefine.PurchaseOrderFlg.Making, false))
                     {
                         LogicalErrorMessage("注文書データ：注文書作成フラグ更新に失敗しました。", "更新エラー", CommonMotions.GetMethodName());
                         return false;
@@ -1745,20 +1747,25 @@
                 OrderDB.connect(); OrderDB.beginTran();
                 DetailDB.connect(); DetailDB.beginTran();
 
-                // 削除する
-                string strDel = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!OrderDB.DeleteAction(strDel, false))
+                for (int i = 0; i < m_TabPageList.Count; i++)
                 {
-                    OrderDB.rollback();
-                    return false;
+                    PurchaseOrderInputPage DataTab = m_TabPageList[i];
+                    int SeqCnt = DataTab.SeqNo;
+
+                    // 削除する
+                    string strDel = OrderDB.CreatePrimarykeyString(m_ConstructionCode, SeqCnt);
+                    if (!OrderDB.DeleteAction(strDel, false))
+                    {
+                        OrderDB.rollback();
+                        return false;
+                    }
+                    if (!DetailDB.DeleteAction(strDel, false))
+                    {
+                        OrderDB.rollback();
+                        DetailDB.rollback();
+                        return false;
+                    }
                 }
-                if (!DetailDB.DeleteAction(strDel, false))
-                {
-                    OrderDB.rollback();
-                    DetailDB.rollback();
-                    return false;
-                }
-
                 OrderDB.commit();
                 DetailDB.commit();
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderStatus/FrmPurchaseOrderStatusAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderStatus/FrmPurchaseOrderStatusAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderStatus/FrmPurchaseOrderStatusAuxiliary.cs	(revision 93)
@@ -428,7 +428,7 @@
                 string strSQL = "SELECT * FROM";
                 strSQL += string.Format(" (SELECT COUNT(*) FROM PURCHASEORDER A1 WHERE CONSTRUCTIONCODE = {0}) A,", TargetCode);
                 //strSQL += string.Format(" (SELECT COUNT(*) FROM PURCHASEORDER B1 WHERE CONSTRUCTIONCODE = {0} AND PRINTOUTDATE != TO_DATE('0001/01/01')) B", TargetCode);
-                strSQL += string.Format(" (SELECT COUNT(*) FROM PURCHASEORDER B1 WHERE CONSTRUCTIONCODE = {0} AND PRINTOUTDATE != STR_TO_DATE('0001/01/01')) B", TargetCode);
+                strSQL += string.Format(" (SELECT COUNT(*) FROM PURCHASEORDER B1 WHERE CONSTRUCTIONCODE = {0} AND DATE(PRINTOUTDATE) != STR_TO_DATE('0001/01/01', '%Y/%m/%d')) B", TargetCode);
                 ArrayList arList = new ArrayList();
                 if (!OrderDB.ExecuteReader(strSQL, ref arList)) return;
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 93)
@@ -2935,7 +2935,7 @@
                     dt = new DateTime( yyyy, mm, 1);
 
                     sql = ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount);
-                    sql += string.Format(" AND TargetMonth = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
+                    sql += string.Format(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
 
                     if (ioLdgExcute.SelectAction(sql, ref lstExcute) == false)
                     {
@@ -2969,7 +2969,7 @@
 
                 // 当該月の請求金額のレコードがあるか取得してみる
                 sql = ioLdgExcute.CreatePrimarykeyString(m_nLeaderConstructionCode, lstDetail[0].GroupCount, lstDetail[0].LineCount);
-                sql += string.Format(" AND TargetMonth = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
+                sql += string.Format(" AND DATE(TargetMonth) = STR_TO_DATE('{0}', '%Y%m%d') ", dt.ToString("yyyyMMdd"));
                 if (ioLdgExcute.SelectAction(sql, ref lstExcute) == false)
                 {
                     return false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegistAuxiliary.cs	(revision 93)
@@ -808,7 +808,7 @@
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.PERSONCODE";
                 strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
-                strSQL += string.Format(" AND A.CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", m_CreateDate.ToShortDateString());
+                strSQL += string.Format(" AND DATE(A.CreateDate) = STR_TO_DATE('{0}','%Y/%m/%d')", m_CreateDate.ToShortDateString());
                 strSQL += string.Format(" AND A.SeqNo = {0}", m_SeqNo);
 
                 if (!crDB.ExecuteReader(strSQL, ref crList)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 93)
@@ -91,7 +91,7 @@
         /// データ表示定義
         /// </summary>
         private KeyValuePair<int, string>[] s_ConfigurationArray = {
-                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                  // ----- タイトル
+                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                   // ----- タイトル
                                                     //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.ActionSchdule, string.Empty),             // 203:行動予定入力
                                                     //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.VehicleSchdule, string.Empty),            // 204:車両予約入力
                                                     new KeyValuePair<int, string>(-1, "共　通　処　理"),                                                    // ----- タイトル
@@ -98,7 +98,7 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionList, string.Empty),          //  1:工事情報一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList, string.Empty),      //  7:承認申請一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionCopyList, string.Empty),      //  8:工事案件コピー機能
-                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                  // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo, string.Empty),      //  2:工事情報入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateInput, string.Empty),             //  3:積算見積入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimatePrint, string.Empty),             //  4:積算見積書印刷
@@ -105,9 +105,10 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateBudget, string.Empty),            //  5:積算予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.OrderJoin, string.Empty),                 // 20:工事結合
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionSplit, string.Empty),         // 21:工事分割
-                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, string.Empty),     // 11:部署別台帳一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList, string.Empty),    // 12:工事詳細台帳一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PriceOfBudget, string.Empty),             // 37:台帳状況確認画面
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedger, string.Empty),        // 13:工事詳細台帳
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRList, string.Empty),                    // 15:工事日報－一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRConstruction, string.Empty),            // 16:工事日報入力
@@ -114,16 +115,16 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.Proceedings, string.Empty),               // 17:打合せ議事録入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.TAndPCosts, string.Empty),                // 14:交通費及び購入品入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRWork, string.Empty),                    // 18:出勤日報
-                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialList, string.Empty),              // 23:資材一覧
+                                                	new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialList, string.Empty),              // 23:資材一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialHistory, string.Empty),           // 24:資材履歴画面
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialCountEntry, string.Empty),        // 25:資材数変更画面
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReserveEntry, string.Empty),      // 26:資材貸出
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReturnEntry, string.Empty),       // 27:資材返却
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialSelect, string.Empty),            // 28;資材選択
-                                                    new KeyValuePair<int, string>(-1, "月次（施工）管理"),                                                // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "月次（施工）管理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestSummaryList, string.Empty),        // 29:請求まとめ
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation, string.Empty),       // 30:入金確認
-                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                  // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBudget, string.Empty),        //  6:工事予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry, string.Empty),        //  9:注文書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint, string.Empty),        // 10:注文書印刷
@@ -133,7 +134,7 @@
                                                     new KeyValuePair<int, string>(-1, "各種提出書類"),                                                      // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.CostomerRegist, string.Empty),            // 34:発注者登録申請
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.SubConstrRegist, string.Empty),           // 36:協力会社登録申請
-                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                              // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                                // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.System, string.Empty),                // システム管理登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Security, string.Empty),              // セキュリティ区分登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute, string.Empty),         // 承認経路登録
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs	(revision 93)
@@ -452,7 +452,7 @@
 
                 string wrkSQL = "SELECT Count(*) FROM HolidayCalenderMaster";
                 //wrkSQL += string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday And Holiday <= TO_DATE('{1}','YYYY/MM/DD')"
-                wrkSQL += string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= Holiday And Holiday <= STR_TO_DATE('{1}','%Y/%m/%d')"
+                wrkSQL += string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(Holiday) And DATE(Holiday) <= STR_TO_DATE('{1}','%Y/%m/%d')"
                                         , wrkStratDate.ToShortDateString(), wrkEndDate.ToShortDateString());
                 ArrayList arData = new ArrayList();
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 93)
@@ -567,6 +567,7 @@
 
                 bool FirstFlg = true;
                 int BreakKey = -1;
+                int ino = 1;
                 foreach (object[] objGetArry in DatArList)
                 {
                     int CompFlg = CommonMotions.cnvInt(objGetArry[0]);
@@ -596,10 +597,10 @@
                     m_TotalArea[(int)GridColumn.CompanyExpeses] += CurTotalArea[(int)GridColumn.CompanyExpeses];
                     m_TotalArea[(int)GridColumn.DepartmentExpeses] += CurTotalArea[(int)GridColumn.DepartmentExpeses];
                     m_TotalArea[(int)GridColumn.SaleseExpeses] += CurTotalArea[(int)GridColumn.SaleseExpeses];
+
+                    // 合計行表示
+                    DisplayTotalRow(ino++, CurTotalArea);
                 }
-
-                // 合計行表示
-                DisplayTotalRow((int)RowTitleNum.DataType3, CurTotalArea);
             }
             catch (System.Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 93)
@@ -487,7 +487,7 @@
 
                 string wrkSQL = "SELECT Count(*) FROM HolidayCalenderMaster";
                 //wrkSQL += string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday And Holiday <= TO_DATE('{1}','YYYY/MM/DD')"
-                wrkSQL += string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= Holiday And Holiday <= STR_TO_DATE('{1}','%Y/%m/%d')"
+                wrkSQL += string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(Holiday) And DATE(Holiday) <= STR_TO_DATE('{1}','%Y/%m/%d')"
                                         , wrkStratDate.ToShortDateString(), wrkEndDate.ToShortDateString());
                 ArrayList arData = new ArrayList();
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 93)
@@ -712,13 +712,13 @@
                                                                 },
                                                                 { (int)ClsExcute.MaintenanceExecuteNo.Calender,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.VehicleMaster,
-                                                                    0,
-                                                                    0
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.MaterialKind,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.MaterialItem
                                                                 },
                                                                 { (int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData,
                                                                     0,
                                                                     0,
-                                                                    0
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.SalesConfirm
                                                                 },
         };
         #endregion
